Page MenuHomePhabricator

Firefogg returns invalid metadata for files with non-ASCII characters in the name
Closed, ResolvedPublic

Description

Firefogg returns invalid metadata for files with non-ASCII characters in the name. Found a report upstream that is actually about UploadWizard: https://bugs.launchpad.net/firefogg/+bug/1507203. This is a Firefogg bug, but we could probably work around it.

Event Timeline

matmarex created this task.Jun 2 2016, 8:23 PM
matmarex renamed this task from Firefogg fails explosively for files with non-ASCII characters in the name to Firefogg returns invalid metadata for files with non-ASCII characters in the name.Jun 3 2016, 5:04 PM
matmarex updated the task description. (Show Details)

So… we can't actually work around it. My initial description of "fails explosively" was actually correct. It was just that we were looking at the metadata first and that was also failing, but when I did a workaround in that, it turned out that the actual encode process is also broken.

Change 292789 had a related patch set uploaded (by Bartosz Dziewoński):
mw.FirefoggHandler: Bail on non-ASCII filenames

https://gerrit.wikimedia.org/r/292789

Change 292789 merged by jenkins-bot:
mw.FirefoggHandler: Bail on non-ASCII filenames

https://gerrit.wikimedia.org/r/292789

matmarex closed this task as Resolved.Jun 6 2016, 9:45 PM
matmarex removed a project: Patch-For-Review.